import { createApp } from 'vue'
import App from './App.vue'
import ElementPlus from 'element-plus'
import 'element-plus/dist/index.css'
import * as echarts from 'echarts'
import DataV from '@kjgl77/datav-vue3'
import '@kjgl77/datav-vue3/dist/style.css'
import * as ElementPlusIconsVue from '@element-plus/icons-vue'


const app = createApp(App)
for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
  app.component(key, component)
}
app.use(DataV);
app.use(ElementPlus)
app.config.globalProperties.$echarts = echarts

app.mount('#app')